org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface EFacetFactory

    public interface EFacetFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `EFacetPackage`
Generated:

### Field Summary

Fields
`static EFacetFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`Category` `createCategory()` Returns a new object of class 'Category'.
`DocumentedElement` `createDocumentedElement()` Returns a new object of class 'Documented Element'.
`Facet` `createFacet()` Returns a new object of class 'Facet'.
`FacetAttribute` `createFacetAttribute()` Returns a new object of class 'Facet Attribute'.
`FacetOperation` `createFacetOperation()` Returns a new object of class 'Facet Operation'.
`FacetReference` `createFacetReference()` Returns a new object of class 'Facet Reference'.
`FacetSet` `createFacetSet()` Returns a new object of class 'Facet Set'.
`ParameterValue` `createParameterValue()` Returns a new object of class 'Parameter Value'.
`EFacetPackage` `getEFacetPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final EFacetFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createFacetAttribute

    FacetAttribute createFacetAttribute()

Returns a new object of class 'Facet Attribute'.

Returns:
  a new object of class 'Facet Attribute'.
Generated:

#### createFacetReference

    FacetReference createFacetReference()

Returns a new object of class 'Facet Reference'.

Returns:
  a new object of class 'Facet Reference'.
Generated:

#### createFacetOperation

    FacetOperation createFacetOperation()

Returns a new object of class 'Facet Operation'.

Returns:
  a new object of class 'Facet Operation'.
Generated:

#### createFacetSet

    FacetSet createFacetSet()

Returns a new object of class 'Facet Set'.

Returns:
  a new object of class 'Facet Set'.
Generated:

#### createFacet

    Facet createFacet()

Returns a new object of class 'Facet'.

Returns:
  a new object of class 'Facet'.
Generated:

#### createCategory

    Category createCategory()

Returns a new object of class 'Category'.

Returns:
  a new object of class 'Category'.
Generated:

#### createParameterValue

    ParameterValue createParameterValue()

Returns a new object of class 'Parameter Value'.

Returns:
  a new object of class 'Parameter Value'.
Generated:

#### createDocumentedElement

    DocumentedElement createDocumentedElement()

Returns a new object of class 'Documented Element'.

Returns:
  a new object of class 'Documented Element'.
Generated:

#### getEFacetPackage

    EFacetPackage getEFacetPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: